> ## Documentation Index
> Fetch the complete documentation index at: https://sjaa-dev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update the person with the indicated :id in the URL.  Requires write permissions.



## OpenAPI

````yaml PATCH /people/:id
openapi: 3.1.1
info:
  title: SJAA Database
  description: An API for securely accessing member and club information.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://membership.sjaa.net/api
security:
  - bearerAuth: []
paths:
  /people/:id:
    patch:
      description: >-
        Update the person with the indicated :id in the URL.  Requires write
        permissions.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PersonForm'
      responses:
        '200':
          description: The updated Person record.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Person'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    PersonForm:
      type: object
      properties:
        person[first_name]:
          description: Update first name.
          type: string
        person[last_name]:
          description: Update last name.
          type: string
        person[discord_id]:
          description: Update Discord user ID.
          type: string
    Person:
      type: object
      properties:
        id:
          description: Internal database identifier.  Use where :id is required.
          type: array
        contacts:
          description: List of contacts, including address, phone, and email.
          type: array
        memberships:
          description: List of memberships, which include start and end dates.
          type: array
        first_name:
          description: first name.
          type: string
        last_name:
          description: last name.
          type: string
        discord_id:
          description: Discord user ID.
          type: string
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
  responses:
    Unauthorized:
      description: >-
        Request failed to authenticate or contained insufficient permissions for
        the operation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````